Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::XMSS_WOTS_PublicKey::TreeSignature Class Referencefinal

`#include <xmss_wots.h>`

## Public Member Functions
wots_keysig_t & | authentication_path ()
const wots_keysig_t & | authentication_path () const
wots_keysig_t & | ots_signature ()
const wots_keysig_t & | ots_signature () const
| TreeSignature ()=default
| TreeSignature (const wots_keysig_t &ots_sig, const wots_keysig_t &auth_path)
| TreeSignature (wots_keysig_t &&ots_sig, wots_keysig_t &&auth_path)

## Detailed Description

Definition at line 137 of file xmss_wots.h.

## Constructor & Destructor Documentation

## ◆ TreeSignature() [1/3]

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( |  | ) |
| default

## ◆ TreeSignature() [2/3]

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( | const wots_keysig_t & | ots_sig,
|  | const wots_keysig_t & | auth_path
| ) |  |
| inline

Definition at line 142 of file xmss_wots.h.

144 : m_ots_sig(ots_sig), m_auth_path(auth_path)
145 {}

## ◆ TreeSignature() [3/3]

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( | wots_keysig_t && | ots_sig,
|  | wots_keysig_t && | auth_path
| ) |  |
| inline

Definition at line 147 of file xmss_wots.h.

149 : m_ots_sig(std::move(ots_sig)),
150 m_auth_path(std::move(auth_path))
151 {}

## Member Function Documentation

## ◆ authentication_path() [1/2]

wots_keysig_t & Botan::XMSS_WOTS_PublicKey::TreeSignature::authentication_path | ( |  | ) |
| inline

Definition at line 168 of file xmss_wots.h.

169 {
170 return m_auth_path;
171 }

## ◆ authentication_path() [2/2]

const wots_keysig_t & Botan::XMSS_WOTS_PublicKey::TreeSignature::authentication_path | ( |  | ) | const
| inline

Definition at line 163 of file xmss_wots.h.

164 {
165 return m_auth_path;
166 }

Referenced by Botan::XMSS_Signature::XMSS_Signature().

## ◆ ots_signature() [1/2]

wots_keysig_t & Botan::XMSS_WOTS_PublicKey::TreeSignature::ots_signature | ( |  | ) |
| inline

Definition at line 158 of file xmss_wots.h.

159 {
160 return m_ots_sig;
161 }

## ◆ ots_signature() [2/2]

const wots_keysig_t & Botan::XMSS_WOTS_PublicKey::TreeSignature::ots_signature | ( |  | ) | const
| inline

Definition at line 153 of file xmss_wots.h.

154 {
155 return m_ots_sig;
156 }

Referenced by Botan::XMSS_Signature::XMSS_Signature().

The documentation for this class was generated from the following file:

- src/lib/pubkey/xmss/xmss_wots.h